Skip to main content
GET
/
api
/
v1
/
tokenization
/
collections
/
{id}
Get collection by ID
curl --request GET \
  --url https://sandbox.oumla.com/api/v1/tokenization/collections/{id} \
  --header 'x-api-key: <api-key>' \
  --header 'x-sdk-version: <x-sdk-version>'
import requests

url = "https://sandbox.oumla.com/api/v1/tokenization/collections/{id}"

headers = {
"x-sdk-version": "<x-sdk-version>",
"x-api-key": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'x-sdk-version': '<x-sdk-version>', 'x-api-key': '<api-key>'}
};

fetch('https://sandbox.oumla.com/api/v1/tokenization/collections/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "collection": {
    "id": "<string>",
    "status": "<string>",
    "type": "<string>",
    "displayName": "<string>",
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "network": "<string>",
    "collectionMetadata": {
      "name": "<string>",
      "symbol": "<string>",
      "standard": "<string>",
      "contractAddress": "<string>"
    }
  }
}
{
"code": "ERR_008",
"message": "You need to sign in to continue.",
"category": "AUTHORIZATION",
"statusCode": 401,
"path": "/api/v1/example",
"timestamp": "2025-02-20T12:00:00.000Z",
"requestId": "req-example-id"
}
{
"code": "ERR_009",
"message": "You don't have permission to do that.",
"category": "AUTHORIZATION",
"statusCode": 403,
"path": "/api/v1/example",
"timestamp": "2025-02-20T12:00:00.000Z",
"requestId": "req-example-id"
}
{
"code": "ERR_068",
"message": "Collection not found.",
"category": "RESOURCE",
"statusCode": 404,
"path": "/api/v1/example",
"timestamp": "2025-02-20T12:00:00.000Z",
"requestId": "req-example-id"
}
{
"code": "ERR_019",
"message": "Something went wrong on our side.",
"category": "SYSTEM",
"statusCode": 500,
"path": "/api/v1/example",
"timestamp": "2025-02-20T12:00:00.000Z",
"requestId": "req-example-id"
}

Authorizations

x-api-key
string
header
required

API key for authentication

Headers

x-sdk-version
string
default:1.0.0
required

SDK version header

Path Parameters

id
string
required

Collection ID

Response

Collection by ID

collection
object